

import java.io.*;
import java.util.Vector;
import com.lotus.xsl.*;
import com.lotus.xsl.xml4j.*;

public class HTMLOutput {
    
    public static void main(String args[]) {
    
    XSLProcessor xslprocessor;
    ProcessXSL pXSL;
    
    
    try
      {
    
        Reader xmlReader = new java.io.InputStreamReader(new FileInputStream("hiawatha.xml"));
        
        PrintWriter pw = new PrintWriter(new FileOutputStream("output.txt"));
      
        pXSL = new ProcessXSL();
        // Create an LotusXSL processor.  The class that is handed in 
        // is the liaison from the IBM XML parser to the XSL processor.
        xslprocessor = new XSLProcessor(pXSL);
        
        // Have the XSL processor read the XML, use the href pointed to 
        // by the stylesheet PI we inserted above to obtain a stylesheet, 
        // and pipe the resulting HTML to the output result writer.
       xslprocessor.process(xmlReader, pw);
      }
		catch(Error err) {

		System.out.println("err1 " + err.getMessage());

}
      catch(Exception err)
      {
		System.out.println("error " + err.getMessage());
        err.printStackTrace();
      }    
        
        
    }                    
    
}
